
<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");


		include_once '../Database.php';
		include_once 'cliente.php';

		$database = new DataBase();
		$db = $database->getConnection();

		$client = new CLIENTE($db);

		
		$clienteid = isset($_GET['id'])?$_GET['id']:die();
		$estado = isset($_GET['estado'])?$_GET['estado']:die();

$de='SistemaCihuacoatl <sistemcoatl@hotmail.com>';
 
$html ='<table style="border-collapse: collapse; width: 600px;margin: 0 auto;">
	<thead>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<th>
				<a href="https://www.sistemacihuacoatl.com" style="text-decoration: none;color: white;float: left;margin-left: 10px;">SISTEMACIHUACOATL.COM</a>
			</th>
		</tr>
		<tr>
			<th style="background: rgb(198,3,17);-webkit-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
-moz-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);">
				<img src="http://www.promozonea.com.mx/Cihuacoatl/imagenes/logo.png" width="50%" height="150px">
			</th>
		</tr>
		<tr>
			<th style="background: rgb(8,0,1);color: white; margin-top: -2px;width: 100%;">
				<h1 >Los Datos Bancarios Solicitados son  los siguientes</h1>
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
			<p>Una vez realizado el cargo, ve a tu perfil y completa los campos faltantes, si ya no tienes acceso a la cuenta envianos un correo con el cargo adjunto y con gusto te activaremos el servicio.</p>
			</td>
		</tr>
		<tr>
			<td>
				<table style="margin-top: 20px;margin-bottom: 30px;" width="100%">
					<thead>
						<tr>
							<th>Datos Bancarios </th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								Banco:Scoatiabank Inverlat
							</td>
							<td>
								
							</td>
						</tr>
						<tr>
							<td>
								Titular:Jose Arturo Gonzalez Mendez
							</td>
							<td>
								
							</td>
						</tr>
						<tr>
							<td>
								Cuenta:03701318349
							</td>
							<td>
								
							</td>
						</tr>
						<tr>
							<td>
								Clabe Interbancaria:044261037013183494
							</td>
							<td>
								
							</td>
						</tr>
						<tr>
							<td>
								Monto:$1,392.00
							</td>
							<td>
								
							</td>
						</tr>
						<tr>
							<td>
								Una vez realizado el pago, adjunte una foto de su comprobante, desde su perfil o desde el siguiente enlace.
							</td>
							<td>
								<a href="http://nymbhus.com/#/pay/'.$clienteid.'"> Adjuntar Comprobante </a>
							</td>
						</tr>
					</tbody>
				</table>
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<td>
				<a href="https://www.facebook.com/sistemacihuacoatl/" style="text-decoration: none;color: white;float: left;margin-left: 10px;">Siguenos en Facebook</a>
			</td>
			
		</tr>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17); color: white;">
			<td>
				<p>Dirección</p>
			</td>
		</tr>
	</tfoot>
</table>';

//echo $html;

					// enviamos el correo!
if($estado=="Prueba"){
	$hoy = date('Y-m-d');
	$licencia=date('Y-m-d',strtotime($hoy."+3 days"));
	$query = "UPDATE ".$client->table_name." SET licencia=:fecha WHERE id=:idx";
	$stm = $client->conn->prepare($query);
	$stm->bindParam(":fecha",$licencia);
	$stm->bindParam(":idx",$clienteid);
	$stmt = $client->Update($stm);
	if($stmt){
		echo json_encode(array("Mensaje"=>"Versión de prueba valida hasta ".$licencia));
	}else{
		echo json_encode(array("Error"=>"No se ha podido procesar la petición ".$licencia));
	}
}else{

	$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
	$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
 
				
	$cabeceras .= 'From: '.$de . "\r\n";
	$stmt = $client->select("select correo from web where id=".$clienteid);
		$num = $stmt->rowCount();

		if($num>0){
			$row =$stmt->fetch(PDO::FETCH_ASSOC);
				extract($row);
				if(mail($correo, "Datos Bancarios", $html, $cabeceras)){
					echo json_encode(array("Mensaje"=>"Se ha enviado un correo con los datos bancarios a ".$correo));
				}else{
					echo json_encode(array("Error"=>"No se ha podido atender la petición"));	;	
				}
			
			
		}
		else {
			echo json_encode(array("Mensaje"=>"No se ha podido procesar la solicitud"));
		}
}

?>